## mspdebug 0.13

=== Makefile ===
# MSPDebug - debugging tool for the eZ430
# Copyright (C) 2009, 2010 Daniel Beer
# Copyright (C) 2010 Andrew Armenia
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

CC ?= gcc
INSTALL = /usr/bin/install
PREFIX ?= /usr/local
LDFLAGS ?= -s

ifdef WITHOUT_READLINE
	READLINE_CFLAGS =
	READLINE_LIBS =
else
	READLINE_CFLAGS = -DUSE_READLINE
	READLINE_LIBS = -lreadline
endif

# Mac OS X/MacPorts stuff
UNAME := $(shell sh -c 'uname -s')
ifeq ($(UNAME),Darwin)
	MACPORTS_CFLAGS = -I/opt/local/include
	MACPORTS_LDFLAGS = -L/opt/local/lib
else
	MACPORTS_CFLAGS =
	MACPORTS_LDFLAGS =
endif

MSPDEBUG_CFLAGS = -O1 -Wall -Wno-char-subscripts -ggdb

all: mspdebug

clean:
	/bin/rm -f *.o
	/bin/rm -f mspdebug

install: mspdebug mspdebug.man
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	$(INSTALL) -m 0755 mspdebug $(DESTDIR)$(PREFIX)/bin/mspdebug
	$(INSTALL) -m 0644 mspdebug.man $(DESTDIR)$(PREFIX)/share/man/man1/mspdebug.1

.SUFFIXES: .c .o

mspdebug: main.o fet.o rf2500.o dis.o uif.o olimex.o ihex.o elf32.o stab.o \
          util.o bsl.o sim.o symmap.o gdb.o btree.o rtools.o sym.o devcmd.o \
	  reader.o vector.o output_util.o expr.o fet_error.o binfile.o \
	  fet_db.o usbutil.o titext.o srec.o device.o coff.o opdb.o output.o \
	  cmddb.o stdcmd.o prog.o flash_bsl.o
	$(CC) $(LDFLAGS) $(MACPORTS_LDFLAGS) -o $@ $^ -lusb $(READLINE_LIBS)

.c.o:
	$(CC) $(CFLAGS) $(MACPORTS_CFLAGS) $(READLINE_CFLAGS) $(MSPDEBUG_CFLAGS) -o $@ -c $*.c

=== debian/changelog ===
mspdebug (0.13-1) unstable; urgency=low

  * New upstream version
    + Support for Olimex MSP430-JTAG-ISO and many new chips

 -- Luca Bruno <lucab@debian.org>  Wed, 17 Nov 2010 19:57:11 +0100

mspdebug (0.12-1) unstable; urgency=low

  * New upstream version
    + Support for flash BSL

 -- Luca Bruno <lucab@debian.org>  Sun, 07 Nov 2010 16:57:09 +0100

mspdebug (0.11-1) unstable; urgency=low

  * Initial release (Closes: #597753)

 -- Luca Bruno <lucab@debian.org>  Mon, 27 Sep 2010 12:26:51 +0200

=== debian/control ===
Source: mspdebug
Section: electronics
Priority: extra
Maintainer: Luca Bruno <lucab@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libusb-dev, libreadline-dev
Standards-Version: 3.9.1
Homepage: http://mspdebug.sourceforge.net/
Vcs-Git: git://git.debian.org/collab-maint/mspdebug.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mspdebug.git;a=summary

Package: mspdebug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: debugging tool for MSP430 microcontrollers
 MSPDebug is a free debugger for use with MSP430 MCUs. It supports FET430UIF,
 eZ430, RF2500 and Olimex MSP-JTAG-TINY programmers. It can be used as a proxy
 for gdb or as an independent debugger with support for programming, disassembly
 and reverse engineering.

## mspdebug 0.15

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-CC ?= gcc
+CC = gcc
 INSTALL = /usr/bin/install
 PREFIX ?= /usr/local
 LDFLAGS ?= -s
@@ -29,14 +29,18 @@
 	READLINE_LIBS = -lreadline
 endif
 
-# Mac OS X/MacPorts stuff
 UNAME := $(shell sh -c 'uname -s')
-ifeq ($(UNAME),Darwin)
-	MACPORTS_CFLAGS = -I/opt/local/include
-	MACPORTS_LDFLAGS = -L/opt/local/lib
+ifeq ($(UNAME),Darwin) # Mac OS X/MacPorts stuff
+	PORTS_CFLAGS = -I/opt/local/include
+	PORTS_LDFLAGS = -L/opt/local/lib
 else
-	MACPORTS_CFLAGS =
-	MACPORTS_LDFLAGS =
+  ifeq ($(UNAME),OpenBSD) # OpenBSD Ports stuff
+	PORTS_CFLAGS = `pkg-config --cflags libelf libusb`
+	PORTS_LDFLAGS = `pkg-config --libs libelf libusb` -ltermcap
+  else
+	PORTS_CFLAGS =
+	PORTS_LDFLAGS =
+  endif
 endif
 
 MSPDEBUG_CFLAGS = -O1 -Wall -Wno-char-subscripts -ggdb
@@ -59,8 +63,9 @@
           util.o bsl.o sim.o symmap.o gdb.o btree.o rtools.o sym.o devcmd.o \
 	  reader.o vector.o output_util.o expr.o fet_error.o binfile.o \
 	  fet_db.o usbutil.o titext.o srec.o device.o coff.o opdb.o output.o \
-	  cmddb.o stdcmd.o prog.o flash_bsl.o
-	$(CC) $(LDFLAGS) $(MACPORTS_LDFLAGS) -o $@ $^ -lusb $(READLINE_LIBS)
+	  cmddb.o stdcmd.o prog.o flash_bsl.o list.o simio.o simio_tracer.o \
+	  simio_timer.o simio_wdt.o simio_hwmult.o simio_gpio.o aliasdb.o
+	$(CC) $(LDFLAGS) $(PORTS_LDFLAGS) -o $@ $^ -lusb $(READLINE_LIBS)
 
 .c.o:
-	$(CC) $(CFLAGS) $(MACPORTS_CFLAGS) $(READLINE_CFLAGS) $(MSPDEBUG_CFLAGS) -o $@ -c $*.c
+	$(CC) $(CFLAGS) $(PORTS_CFLAGS) $(READLINE_CFLAGS) $(MSPDEBUG_CFLAGS) -o $@ -c $*.c

## mspdebug 0.16

=== Makefile ===
--- 
+++ 
@@ -64,7 +64,8 @@
 	  reader.o vector.o output_util.o expr.o fet_error.o binfile.o \
 	  fet_db.o usbutil.o titext.o srec.o device.o coff.o opdb.o output.o \
 	  cmddb.o stdcmd.o prog.o flash_bsl.o list.o simio.o simio_tracer.o \
-	  simio_timer.o simio_wdt.o simio_hwmult.o simio_gpio.o aliasdb.o
+	  simio_timer.o simio_wdt.o simio_hwmult.o simio_gpio.o aliasdb.o \
+	  gdb_proto.o gdbc.o
 	$(CC) $(LDFLAGS) $(PORTS_LDFLAGS) -o $@ $^ -lusb $(READLINE_LIBS)
 
 .c.o:

=== debian/changelog ===
mspdebug (0.16-1) unstable; urgency=low

  * New upstream version 
    + Support for Olimex MSP-JTAG-TINY rev 2 and many new chips

 -- Luca Bruno <lucab@debian.org>  Tue, 14 Jun 2011 09:25:33 +0200

mspdebug (0.15-1) unstable; urgency=low

  * New upstream version
    + Initial IO peripheral simulator

 -- Luca Bruno <lucab@debian.org>  Tue, 05 Apr 2011 10:01:34 +0200

mspdebug (0.14-1) unstable; urgency=low

  * New upstream version
    + Bug fixes and new chips support

 -- Luca Bruno <lucab@debian.org>  Fri, 18 Feb 2011 10:47:31 +0100

## mspdebug 0.17

=== debian/changelog ===
mspdebug (0.17-2) unstable; urgency=low

  * Bumped Standards-Version to 3.9.2 (no changes needed)
  * Add udev rule to give LaunchPad devices to plugdev group (Closes: #637364)
  * Moved to crosstoolchain git repository

 -- Luca Bruno <lucab@debian.org>  Tue, 06 Sep 2011 16:31:59 +0200

mspdebug (0.17-1) unstable; urgency=low

  * New upstream version
    + Bug fixes and new chips support

 -- Luca Bruno <lucab@debian.org>  Wed, 24 Aug 2011 22:40:32 +0200

## mspdebug 0.18

=== Makefile ===
# MSPDebug - debugging tool for the eZ430
# Copyright (C) 2009, 2010 Daniel Beer
# Copyright (C) 2010 Andrew Armenia
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

CC ?= gcc
INSTALL = /usr/bin/install
PREFIX ?= /usr/local
LDFLAGS ?= -s

BINDIR = ${PREFIX}/bin/
MANDIR = ${PREFIX}/share/man/man1
LIBDIR = ${PREFIX}/lib/


ifdef WITHOUT_READLINE
	READLINE_CFLAGS =
	READLINE_LIBS =
else
	READLINE_CFLAGS = -DUSE_READLINE
	READLINE_LIBS = -lreadline
endif

UNAME := $(shell sh -c 'uname -s')
ifeq ($(UNAME),Darwin) # Mac OS X/MacPorts stuff
	PORTS_CFLAGS = -I/opt/local/include
	PORTS_LDFLAGS = -L/opt/local/lib
else
  ifeq ($(UNAME),OpenBSD) # OpenBSD Ports stuff
	PORTS_CFLAGS = `pkg-config --cflags libusb`
	PORTS_LDFLAGS = `pkg-config --libs libusb` -ltermcap -pthread
  else
	PORTS_CFLAGS =
	PORTS_LDFLAGS =
  endif
endif

ifeq ($(OS),Windows_NT)
    MSPDEBUG_CC = gcc
    BINARY = mspdebug.exe

    OS_LIBS = -lws2_32 -lregex
else
    MSPDEBUG_CC = $(CC)
    BINARY = mspdebug

    ifneq ($(filter $(UNAME),FreeBSD OpenBSD),)
	OS_LIBS =
    else
	OS_LIBS = -ldl
    endif

endif

INCLUDES = -I. -Isimio -Iformats -Idrivers -Iutil -Iui
GCC_CFLAGS = -O1 -Wall -Wno-char-subscripts -ggdb
CONFIG_CFLAGS = -DLIB_DIR=\"$(LIBDIR)\"

MSPDEBUG_LDFLAGS = $(LDFLAGS) $(PORTS_LDFLAGS)
MSPDEBUG_LIBS = -lusb $(READLINE_LIBS) $(OS_LIBS)
MSPDEBUG_CFLAGS = $(CFLAGS) $(READLINE_CFLAGS) $(PORTS_CFLAGS)\
 $(GCC_CFLAGS) $(INCLUDES) $(CONFIG_CFLAGS)

all: $(BINARY)

clean:
	rm -f */*.o
	rm -f $(BINARY)

install: $(BINARY) mspdebug.man
	mkdir -p $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 0755 $(BINARY) $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(MANDIR)
	$(INSTALL) -m 0644 mspdebug.man $(DESTDIR)$(MANDIR)/mspdebug.1
	mkdir -p $(DESTDIR)$(LIBDIR)/mspdebug
	$(INSTALL) -m 0644 ti_3410.fw.ihex \
		$(DESTDIR)$(LIBDIR)/mspdebug/ti_3410.fw.ihex

.SUFFIXES: .c .o

OBJ=\
    util/btree.o \
    util/expr.o \
    util/list.o \
    util/sockets.o \
    util/sport.o \
    util/usbutil.o \
    util/util.o \
    util/vector.o \
    util/output.o \
    util/output_util.o \
    util/opdb.o \
    util/prog.o \
    util/stab.o \
    util/dis.o \
    util/gdb_proto.o \
    util/dynload.o \
    drivers/device.o \
    drivers/bsl.o \
    drivers/fet.o \
    drivers/fet_error.o \
    drivers/fet_db.o \
    drivers/flash_bsl.o \
    drivers/gdbc.o \
    drivers/olimex.o \
    drivers/rf2500.o \
    drivers/sim.o \
    drivers/uif.o \
    drivers/ti3410.o \
    drivers/tilib.o \
    formats/binfile.o \
    formats/coff.o \
    formats/elf32.o \
    formats/ihex.o \
    formats/symmap.o \
    formats/srec.o \
    formats/titext.o \
    simio/simio.o \
    simio/simio_tracer.o \
    simio/simio_timer.o \
    simio/simio_wdt.o \
    simio/simio_hwmult.o \
    simio/simio_gpio.o \
    ui/gdb.o \
    ui/rtools.o \
    ui/sym.o \
    ui/devcmd.o \
    ui/reader.o \
    ui/cmddb.o \
    ui/stdcmd.o \
    ui/aliasdb.o \
    ui/main.o

$(BINARY): $(OBJ)
	$(MSPDEBUG_CC) $(MSPDEBUG_LDFLAGS) -o $@ $^ $(MSPDEBUG_LIBS)

.c.o:
	$(MSPDEBUG_CC) $(MSPDEBUG_CFLAGS) -o $@ -c $*.c

=== debian/changelog ===
mspdebug (0.18-1) unstable; urgency=low

  * New upstream version
    + GDB protocol bug fixes
    + Support for raw USB access to UIF and eZ430

 -- Luca Bruno <lucab@debian.org>  Tue, 08 Nov 2011 23:14:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Luca Bruno <lucab@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libusb-dev, libreadline-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://mspdebug.sourceforge.net/
-Vcs-Git: git://git.debian.org/collab-maint/mspdebug.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/mspdebug.git;a=summary
+Vcs-Git: git://git.debian.org/crosstoolchain/mspdebug.git
+Vcs-Browser: http://git.debian.org/?p=crosstoolchain/mspdebug.git;a=summary
 
 Package: mspdebug
 Architecture: any

## mspdebug 0.19

=== Makefile ===
--- 
+++ 
@@ -121,6 +121,7 @@
     drivers/uif.o \
     drivers/ti3410.o \
     drivers/tilib.o \
+    drivers/olimex_iso.o \
     formats/binfile.o \
     formats/coff.o \
     formats/elf32.o \

=== debian/changelog ===
mspdebug (0.19-1) unstable; urgency=low

  * New upstream version
    + Eclipse compatibility
    + New chips support
  * Bumped Standards-Version (no changes)

 -- Luca Bruno <lucab@debian.org>  Tue, 13 Mar 2012 09:31:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Luca Bruno <lucab@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libusb-dev, libreadline-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://mspdebug.sourceforge.net/
 Vcs-Git: git://git.debian.org/crosstoolchain/mspdebug.git
 Vcs-Browser: http://git.debian.org/?p=crosstoolchain/mspdebug.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# Change TTY permission, run after default permission rules (prio. 91)
override_dh_installudev:
	dh_installudev --priority=92

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## mspdebug 0.21

=== debian/changelog ===
mspdebug (0.21-2) unstable; urgency=medium

  * Add missing includes, fix FTBFS with newer toolchain 
    (Closes: #701326, #701383)
  * Bump compat level to 9

 -- Luca Bruno <lucab@debian.org>  Sun, 12 May 2013 12:55:16 +0200

mspdebug (0.21-1) unstable; urgency=low

  * Upload to unstable

 -- Luca Bruno <lucab@debian.org>  Sun, 05 May 2013 23:18:38 +0200

mspdebug (0.21-0~exp1) experimental; urgency=low

  * New upstream version
    + Bug fixes and refactoring of drivers

 -- Luca Bruno <lucab@debian.org>  Tue, 29 Jan 2013 09:21:14 +0100

mspdebug (0.20-0~exp1) experimental; urgency=low

  * New upstream version
    + New chips support

 -- Luca Bruno <lucab@debian.org>  Sat, 18 Aug 2012 09:51:38 +0200

## mspdebug 0.22

=== Makefile ===
--- 
+++ 
@@ -34,17 +34,19 @@
 	READLINE_LIBS = -lreadline
 endif
 
-UNAME := $(shell sh -c 'uname -s')
-ifeq ($(UNAME),Darwin) # Mac OS X/MacPorts stuff
-	PORTS_CFLAGS = -I/opt/local/include
-	PORTS_LDFLAGS = -L/opt/local/lib
+UNAME_S := $(shell sh -c 'uname -s')
+UNAME_O := $(shell sh -c 'uname -o 2> /dev/null')
+
+ifeq ($(UNAME_S),Darwin) # Mac OS X/MacPorts stuff
+	PORTS_CFLAGS := -I/opt/local/include
+	PORTS_LDFLAGS := -L/opt/local/lib
 else
-  ifeq ($(UNAME),OpenBSD) # OpenBSD Ports stuff
-	PORTS_CFLAGS = `pkg-config --cflags libusb`
-	PORTS_LDFLAGS = `pkg-config --libs libusb` -ltermcap -pthread
+  ifeq ($(UNAME_S),OpenBSD) # OpenBSD Ports stuff
+	PORTS_CFLAGS := $(shell pkg-config --cflags libusb)
+	PORTS_LDFLAGS := $(shell pkg-config --libs libusb) -ltermcap -pthread
   else
-	PORTS_CFLAGS =
-	PORTS_LDFLAGS =
+	PORTS_CFLAGS :=
+	PORTS_LDFLAGS :=
   endif
 endif
 
@@ -52,27 +54,32 @@
     MSPDEBUG_CC = gcc
     BINARY = mspdebug.exe
 
-    OS_LIBS = -lws2_32 -lregex
+    ifneq ($(UNAME_O),Cygwin)
+	OS_LIBS = -lws2_32 -lregex
+	OS_CFLAGS = -D__Windows__
+    endif
 else
     MSPDEBUG_CC = $(CC)
     BINARY = mspdebug
 
-    ifneq ($(filter $(UNAME),FreeBSD OpenBSD),)
+    ifneq ($(filter $(UNAME_S),OpenBSD),)
 	OS_LIBS =
+    else ifneq ($(filter $(UNAME_S),FreeBSD),)
+	OS_CFLAGS = -pthread
+	OS_LIBS = -lpthread
     else
-	OS_LIBS = -ldl
+	OS_LIBS = -lpthread -ldl
     endif
-
 endif
 
-INCLUDES = -I. -Isimio -Iformats -Idrivers -Iutil -Iui
+INCLUDES = -I. -Isimio -Iformats -Itransport -Idrivers -Iutil -Iui
 GCC_CFLAGS = -O1 -Wall -Wno-char-subscripts -ggdb
 CONFIG_CFLAGS = -DLIB_DIR=\"$(LIBDIR)\"
 
 MSPDEBUG_LDFLAGS = $(LDFLAGS) $(PORTS_LDFLAGS)
 MSPDEBUG_LIBS = -lusb $(READLINE_LIBS) $(OS_LIBS)
 MSPDEBUG_CFLAGS = $(CFLAGS) $(READLINE_CFLAGS) $(PORTS_CFLAGS)\
- $(GCC_CFLAGS) $(INCLUDES) $(CONFIG_CFLAGS)
+ $(GCC_CFLAGS) $(INCLUDES) $(CONFIG_CFLAGS) $(OS_CFLAGS)
 
 all: $(BINARY)
 
@@ -108,20 +115,33 @@
     util/dis.o \
     util/gdb_proto.o \
     util/dynload.o \
+    util/demangle.o \
+    util/powerbuf.o \
+    util/ctrlc.o \
+    transport/cp210x.o \
+    transport/cdc_acm.o \
+    transport/ftdi.o \
+    transport/rf2500.o \
+    transport/ti3410.o \
+    transport/comport.o \
     drivers/device.o \
     drivers/bsl.o \
     drivers/fet.o \
+    drivers/fet_core.o \
+    drivers/fet_proto.o \
     drivers/fet_error.o \
     drivers/fet_db.o \
     drivers/flash_bsl.o \
     drivers/gdbc.o \
-    drivers/olimex.o \
-    drivers/rf2500.o \
     drivers/sim.o \
-    drivers/uif.o \
-    drivers/ti3410.o \
     drivers/tilib.o \
-    drivers/olimex_iso.o \
+    drivers/goodfet.o \
+    drivers/obl.o \
+    drivers/devicelist.o \
+    drivers/fet_olimex_db.o \
+    drivers/jtdev.o \
+    drivers/jtaglib.o \
+    drivers/pif.o \
     formats/binfile.o \
     formats/coff.o \
     formats/elf32.o \
@@ -135,14 +155,20 @@
     simio/simio_wdt.o \
     simio/simio_hwmult.o \
     simio/simio_gpio.o \
+    simio/simio_console.o \
     ui/gdb.o \
     ui/rtools.o \
     ui/sym.o \
     ui/devcmd.o \
+    ui/flatfile.o \
     ui/reader.o \
     ui/cmddb.o \
     ui/stdcmd.o \
     ui/aliasdb.o \
+    ui/power.o \
+    ui/input.o \
+    ui/input_console.o \
+    ui/input_async.o \
     ui/main.o
 
 $(BINARY): $(OBJ)

=== debian/changelog ===
mspdebug (0.22-2build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:06:35 +0000

mspdebug (0.22-2) unstable; urgency=low

  * Fix build prefix for lookup path, thanks to Frederik Möllers
    (Closes: #730215)

 -- Luca Bruno <lucab@debian.org>  Fri, 22 Nov 2013 20:28:42 +0100

mspdebug (0.22-1) unstable; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Fri, 16 Aug 2013 12:26:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: electronics
 Priority: extra
 Maintainer: Luca Bruno <lucab@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libusb-dev, libreadline-dev
+Build-Depends: debhelper (>= 9), libusb-dev, libreadline-dev
 Standards-Version: 3.9.3
 Homepage: http://mspdebug.sourceforge.net/
 Vcs-Git: git://git.debian.org/crosstoolchain/mspdebug.git

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,7 @@
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
+
+override_dh_auto_build:
+	dh_auto_build -- PREFIX=/usr
+

## mspdebug 0.25

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # MSPDebug - debugging tool for the eZ430
-# Copyright (C) 2009, 2010 Daniel Beer
+# Copyright (C) 2009-2015 Daniel Beer
 # Copyright (C) 2010 Andrew Armenia
 #
 # This program is free software; you can redistribute it and/or modify
@@ -25,50 +25,66 @@
 MANDIR = ${PREFIX}/share/man/man1
 LIBDIR = ${PREFIX}/lib/
 
+UNAME_S := $(shell sh -c 'uname -s')
+UNAME_O := $(shell sh -c 'uname -o 2> /dev/null')
 
 ifdef WITHOUT_READLINE
 	READLINE_CFLAGS =
 	READLINE_LIBS =
+	CONSOLE_INPUT_OBJ = ui/input_console.o
 else
 	READLINE_CFLAGS = -DUSE_READLINE
 	READLINE_LIBS = -lreadline
+	CONSOLE_INPUT_OBJ = ui/input_readline.o
 endif
 
-UNAME_S := $(shell sh -c 'uname -s')
-UNAME_O := $(shell sh -c 'uname -o 2> /dev/null')
-
-ifeq ($(UNAME_S),Darwin) # Mac OS X/MacPorts stuff
-	PORTS_CFLAGS := -I/opt/local/include
-	PORTS_LDFLAGS := -L/opt/local/lib
-else
-  ifeq ($(UNAME_S),OpenBSD) # OpenBSD Ports stuff
-	PORTS_CFLAGS := $(shell pkg-config --cflags libusb)
-	PORTS_LDFLAGS := $(shell pkg-config --libs libusb) -ltermcap -pthread
-  else
-	PORTS_CFLAGS :=
-	PORTS_LDFLAGS :=
-  endif
-endif
+BSLHID_OBJ ?= transport/bslhid.o
+RF25000_OBJ ?= transport/rf2500.o
 
 ifeq ($(OS),Windows_NT)
-    MSPDEBUG_CC = gcc
+    MSPDEBUG_CC = $(CC)
     BINARY = mspdebug.exe
-
     ifneq ($(UNAME_O),Cygwin)
 	OS_LIBS = -lws2_32 -lregex
-	OS_CFLAGS = -D__Windows__
+	OS_CFLAGS = -D__Windows__ -DNO_SHELLCMD
+	RM = del
     endif
 else
     MSPDEBUG_CC = $(CC)
     BINARY = mspdebug
 
-    ifneq ($(filter $(UNAME_S),OpenBSD),)
+
+    ifneq ($(filter $(UNAME_S),OpenBSD NetBSD),)
 	OS_LIBS =
-    else ifneq ($(filter $(UNAME_S),FreeBSD),)
+    else ifneq ($(filter $(UNAME_S),FreeBSD DragonFly),)
 	OS_CFLAGS = -pthread
 	OS_LIBS = -lpthread
+    else ifneq ($(filter $(UNAME_S),SunOS),)
+	OS_LIBS = -lpthread -ldl -lresolv -lsocket -lnsl
     else
 	OS_LIBS = -lpthread -ldl
+    endif
+
+    ifeq ($(UNAME_S),Darwin) # Mac OS X/MacPorts stuff
+      ifeq ($(shell fink -V > /dev/null 2>&1 && echo ok),ok)
+	PORTS_CFLAGS := $(shell pkg-config --cflags hidapi libusb)
+	PORTS_LDFLAGS := $(shell pkg-config --libs hidapi libusb) -ltermcap -pthread
+      else ifeq ($(shell brew --version > /dev/null 2>&1 && echo ok),ok)
+	PORTS_CFLAGS := $(shell pkg-config --cflags hidapi)
+	PORTS_LDFLAGS := $(shell pkg-config --libs hidapi) -framework IOKit -framework CoreFoundation
+      else
+	PORTS_CFLAGS := -I/opt/local/include
+	PORTS_LDFLAGS := -L/opt/local/lib -lhidapi -framework IOKit -framework CoreFoundation
+      endif
+      BSLHID_OBJ = transport/bslosx.o
+      RF25000_OBJ = transport/rf2500hidapi.o
+      LDFLAGS =
+    else ifneq ($(filter $(UNAME_S),OpenBSD NetBSD DragonFly),)
+	PORTS_CFLAGS := $(shell pkg-config --cflags libusb)
+	PORTS_LDFLAGS := $(shell pkg-config --libs libusb) -ltermcap -pthread
+    else
+	PORTS_CFLAGS :=
+	PORTS_LDFLAGS :=
     endif
 endif
 
@@ -77,15 +93,32 @@
 CONFIG_CFLAGS = -DLIB_DIR=\"$(LIBDIR)\"
 
 MSPDEBUG_LDFLAGS = $(LDFLAGS) $(PORTS_LDFLAGS)
-MSPDEBUG_LIBS = -lusb $(READLINE_LIBS) $(OS_LIBS)
+MSPDEBUG_LIBS = -L. -lusb $(READLINE_LIBS) $(OS_LIBS)
 MSPDEBUG_CFLAGS = $(CFLAGS) $(READLINE_CFLAGS) $(PORTS_CFLAGS)\
  $(GCC_CFLAGS) $(INCLUDES) $(CONFIG_CFLAGS) $(OS_CFLAGS)
 
 all: $(BINARY)
 
+
+ifeq ($(OS),Windows_NT)
 clean:
-	rm -f */*.o
-	rm -f $(BINARY)
+    ifeq ($(UNAME_O),Cygwin)
+	$(RM) */*.o
+	$(RM) $(BINARY)
+    else
+	$(RM) drivers\*.o
+	$(RM) formats\*.o
+	$(RM) simio\*.o
+	$(RM) transport\*.o
+	$(RM) ui\*.o
+	$(RM) util\*.o
+	$(RM) $(BINARY)
+    endif
+else
+clean:
+	$(RM) */*.o
+	$(RM) $(BINARY)
+endif
 
 install: $(BINARY) mspdebug.man
 	mkdir -p $(DESTDIR)$(BINDIR)
@@ -118,12 +151,15 @@
     util/demangle.o \
     util/powerbuf.o \
     util/ctrlc.o \
+    util/chipinfo.o \
+    util/gpio.o \
     transport/cp210x.o \
     transport/cdc_acm.o \
     transport/ftdi.o \
-    transport/rf2500.o \
     transport/ti3410.o \
     transport/comport.o \
+    $(BSLHID_OBJ) \
+    $(RF25000_OBJ) \
     drivers/device.o \
     drivers/bsl.o \
     drivers/fet.o \
@@ -140,8 +176,18 @@
     drivers/devicelist.o \
     drivers/fet_olimex_db.o \
     drivers/jtdev.o \
+    drivers/jtdev_bus_pirate.o \
+    drivers/jtdev_gpio.o \
     drivers/jtaglib.o \
     drivers/pif.o \
+    drivers/loadbsl.o \
+    drivers/loadbsl_fw.o \
+    drivers/hal_proto.o \
+    drivers/v3hil.o \
+    drivers/fet3.o \
+    drivers/bsllib.o \
+    drivers/rom_bsl.o \
+    drivers/tilib_api.o \
     formats/binfile.o \
     formats/coff.o \
     formats/elf32.o \
@@ -167,12 +213,14 @@
     ui/aliasdb.o \
     ui/power.o \
     ui/input.o \
-    ui/input_console.o \
     ui/input_async.o \
+    $(CONSOLE_INPUT_OBJ) \
     ui/main.o
 
 $(BINARY): $(OBJ)
 	$(MSPDEBUG_CC) $(MSPDEBUG_LDFLAGS) -o $@ $^ $(MSPDEBUG_LIBS)
 
+util/chipinfo.o:	chipinfo.db
+
 .c.o:
 	$(MSPDEBUG_CC) $(MSPDEBUG_CFLAGS) -o $@ -c $*.c

=== debian/changelog ===
mspdebug (0.25-1) unstable; urgency=low

  * Team upload.

  [ Andrew Bradford ]
  * gbp.conf: Fix import-orig section name
  * watch: update for upstream move to github
  * New upstream version 0.25
    (Closes: #749434)
  * Bump compat level to 10
  * Bump Standards-Version to 4.1.3
  * Update copyright for upstream  move to github

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Remove empty debian/patches/series.
  * Use secure URI in Homepage field.

  [ Petter Reinholdtsen ]
  * Grant device access to console users, not plugdev members
    Closes: #1076484
  * Add AppStream metainfo XML with hardware provide info.
    Closes: #1076485

 -- Andreas Tille <tille@debian.org>  Fri, 29 Nov 2024 20:19:04 +0100

=== debian/control ===
Source: mspdebug
Maintainer: Luca Bruno <lucab@debian.org>
Section: electronics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libusb-dev,
               libreadline-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/crosstoolchain-team/mspdebug
Vcs-Git: https://salsa.debian.org/crosstoolchain-team/mspdebug.git
Homepage: https://mspdebug.sourceforge.net/
Rules-Requires-Root: no

Package: mspdebug
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: debugging tool for MSP430 microcontrollers
 MSPDebug is a free debugger for use with MSP430 MCUs. It supports FET430UIF,
 eZ430, RF2500 and Olimex MSP-JTAG-TINY programmers. It can be used as a proxy
 for gdb or as an independent debugger with support for programming, disassembly
 and reverse engineering.

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,3 @@
 
 override_dh_auto_build:
 	dh_auto_build -- PREFIX=/usr
-

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mspdebug-$1.tar.gz%" \
  https://github.com/dlbeer/mspdebug/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
